企业失信被执行人信息
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| name | 否 | string | 企业全名/统一社会信用代码 | |
| nametype | 否 | string | 1,企业名称,2,统一社会信用代码,3,工商注册号,4,关键词查询 | |
| province | 否 | string | 省份 | |
| city | 否 | string | 城市 | |
| serialNo | 否 | string | 序列号,精确查询某一条数据 | |
| isRelationHisName | 否 | string | 是否关联曾用名,true,false,默认是false | |
| pageIndex | 否 | string | 页数,请求显示第几页,默认显示第一页 | |
| pageSize | 否 | string | 每页显示的数据数目,默认显示 20条,上限200条,如果超出上限,则返回200条 | |
| isNeedHisData | 否 | string | 是否需要“已不披露”状态数据,枚举值:true、false;false代表不要该状态数据;默认为true; | |
| caseCreateTimeStart | 否 | string | 立案时间起,yyyy-MM-dd | |
| caseCreateTimeEnd | 否 | string | 立案时间止,yyyy-MM-dd | |
| caseNo | 否 | string | 案号 | |
| isCaseNoFuzzy | 否 | string | 案号是否模糊检索,举值:true-要模糊检索;false-不模糊。默认false |
请求代码示例:
curl -k -i "https://apis.juhe.cn/api_credit/query835?key=key&name=&nametype=&province=&city=&serialNo=&isRelationHisName=&pageIndex=&pageSize=&isNeedHisData=&caseCreateTimeStart=&caseCreateTimeEnd=&caseNo=&isCaseNoFuzzy="
<?php
/**
* 2013-企业失信被执行人信息 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://apis.juhe.cn/api_credit/query835"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'name'=> '',
'nametype'=> '',
'province'=> '',
'city'=> '',
'serialNo'=> '',
'isRelationHisName'=> '',
'pageIndex'=> '',
'pageSize'=> '',
'isNeedHisData'=> '',
'caseCreateTimeStart'=> '',
'caseCreateTimeEnd'=> '',
'caseNo'=> '',
'isCaseNoFuzzy'=> '',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 2013-企业失信被执行人信息 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://apis.juhe.cn/api_credit/query835' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'name': '',
'nametype': '',
'province': '',
'city': '',
'serialNo': '',
'isRelationHisName': '',
'pageIndex': '',
'pageSize': '',
'isNeedHisData': '',
'caseCreateTimeStart': '',
'caseCreateTimeEnd': '',
'caseNo': '',
'isCaseNoFuzzy': '',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://apis.juhe.cn/api_credit/query835"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("name", "")
requestParams.Set("nametype", "")
requestParams.Set("province", "")
requestParams.Set("city", "")
requestParams.Set("serialNo", "")
requestParams.Set("isRelationHisName", "")
requestParams.Set("pageIndex", "")
requestParams.Set("pageSize", "")
requestParams.Set("isNeedHisData", "")
requestParams.Set("caseCreateTimeStart", "")
requestParams.Set("caseCreateTimeEnd", "")
requestParams.Set("caseNo", "")
requestParams.Set("isCaseNoFuzzy", "")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://apis.juhe.cn/api_credit/query835";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "name", "");
data.Add( "nametype", "");
data.Add( "province", "");
data.Add( "city", "");
data.Add( "serialNo", "");
data.Add( "isRelationHisName", "");
data.Add( "pageIndex", "");
data.Add( "pageSize", "");
data.Add( "isNeedHisData", "");
data.Add( "caseCreateTimeStart", "");
data.Add( "caseCreateTimeEnd", "");
data.Add( "caseNo", "");
data.Add( "isCaseNoFuzzy", "");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://apis.juhe.cn/api_credit/query835'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
name: '',
nametype: '',
province: '',
city: '',
serialNo: '',
isRelationHisName: '',
pageIndex: '',
pageSize: '',
isNeedHisData: '',
caseCreateTimeStart: '',
caseCreateTimeEnd: '',
caseNo: '',
isCaseNoFuzzy: '',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://apis.juhe.cn/api_credit/query835";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("name", "");
map.put("nametype", "");
map.put("province", "");
map.put("city", "");
map.put("serialNo", "");
map.put("isRelationHisName", "");
map.put("pageIndex", "");
map.put("pageSize", "");
map.put("isNeedHisData", "");
map.put("caseCreateTimeStart", "");
map.put("caseCreateTimeEnd", "");
map.put("caseNo", "");
map.put("isCaseNoFuzzy", "");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://apis.juhe.cn/api_credit/query835"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"name": @"",
@"nametype": @"",
@"province": @"",
@"city": @"",
@"serialNo": @"",
@"isRelationHisName": @"",
@"pageIndex": @"",
@"pageSize": @"",
@"isNeedHisData": @"",
@"caseCreateTimeStart": @"",
@"caseCreateTimeEnd": @"",
@"caseNo": @"",
@"isCaseNoFuzzy": @"",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| error_code | int | 返回码 | |
| reason | string | 返回说明 | |
| result | object | 返回结果 | |
| orderid | string | 流水号 | |
| totalCount | int | 总条数 | |
| totalPage | int | 总页数 | |
| pageSize | int | 每页条数 | |
| pageIndex | int | 当前页 | |
| data | jsonArray | 具体结果 | |
| id | VARCHAR(32) | 编号 | |
| reqKeyWord | VARCHAR(200) | 查询关键字 | |
| iName | VARCHAR(128) | 企业名称 | |
| caseCode | VARCHAR(100) | 案号 | |
| cardNum | VARCHAR(50) | 身份证号码/组织机构代码 | |
| courtName | VARCHAR(100) | 执行法院 | |
| areaName | VARCHAR(20) | 省份 | |
| gistId | VARCHAR(300) | 执行依据文号 | |
| regDate | VARCHAR(15) | 立案时间 | |
| gistUnit | VARCHAR(100) | 做出执行依据单位 | |
| performance | VARCHAR(100) | 被执行人的履行情况 | |
| disruptTypeName | VARCHAR(500) | 失信被执行人行为具体情形 | |
| publishDate | VARCHAR(15) | 发布时间 | |
| duty | TEXT | 失信信息详情 | |
| inputTime | VARCHAR(30) | 首次采集日期 | |
| updateTime | VARCHAR(30) | 最新更新日期 | |
| totalAmount | VARCHAR(30) | 总执行金额 |
JSON返回示例:JSON在线格式化工具 >
{
"reason": "成功",
"result": {
"orderid": "JH835260414104420gYSxp",
"data": [
{
"id": "722700340",
"reqKeyWord": "911410007963732073",
"iName": "山西尧信融资再担保有限公司",
"caseCode": "(2024)晋0802执241号",
"cardNum": "911410007963732073",
"courtName": "运城市盐湖区人民法院",
"areaName": "山西省",
"gistId": "(2023)晋08民终2923号",
"regDate": "2024\/01\/16",
"gistUnit": "山西省运城市中级人民法院",
"performance": "已不披露",
"disruptTypeName": "违反财产报告制度",
"publishDate": "2024\/06\/11",
"duty": "执行标的:4881879.51",
"inputTime": "2024\/06\/14",
"updateTime": "2025\/06\/04",
"totalAmount": ""
}
],
"totalCount": 1,
"totalPage": 1,
"pageSize": 20,
"pageIndex": 1
},
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 283501 | 参数错误 | |
| 283502 | 查无记录 | |
| 283503 | 网络错误 | |
| 283504 | 查询失败 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号